%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function fhat = plot_ocsvm_fgrid(x, alpha, lambda, blinear, Kgrid, eta, gnum)
%function fhat = plot_ocsvm_fgrid(x, alpha, lambda, blinear, Kgrid, eta, gnum)
%	calculate a decision boundary f(x)
%	only 2 dim inputs
%
if nargin < 4, blinear = true; end
if nargin < 5, Kgrid = []; end
if nargin < 6, eta = 1; end
if nargin < 7, gnum = 100; end

if (blinear)
	beta = alpha'*x(:,1:2);
	fhat = -beta(1)/beta(2)*minmax(x(:,1)') + lambda/beta(2);
else
	fhat = (alpha'*Kgrid)/lambda - 1/eta;
	fhat = reshape(fhat, gnum, gnum);
end
