%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function plot_ocsvm_set(x, hkernel, kernelparam, lambda, alpha, pset)
% function plot_ocsvm_set(x, hkernel, kernelparam, lambda, alpha, pset)
%	x				n x p feature vector
%	hkernel			kernel function handle
%	kernelparam		kernel parameter
%	lambda			lambda=1/C
%	alpha			solution path
%	pset			index set of pictures
%	eta
%
if nargin < 6, pset = (1:length(lambda))'; end
if nargin < 7, eta = 1; end

[Kgrid X1 X2] = util_knlgrid(x, hkernel, kernelparam);

colorset = {'r', 'k', 'm', 'g', 'c'};
coloridx = 0;
lnstyle = {':', '-', '--', '-.'};
lnsidx = 0;
lnwidth = [3 3];
lnwidx = 0;

plot_init();
for l=1:length(pset)
	idx = pset(l);
	fhat = plot_ocsvm_fgrid(x, alpha(:,idx), lambda(idx), false, Kgrid, eta);
	
	hold on
	handle = plot_ocsvm_step(x, X1, X2, fhat);
	coloridx = mod(coloridx+1,5); if coloridx==0, coloridx = 5; end
    lnsidx = mod(lnsidx+1,4); if lnsidx==0, lnsidx = 4; end
	lnwidx = mod(lnwidx+1,2); if lnwidx==0, lnwidx = 2; end
% 	set(handle, 'Color', colorset{coloridx});
	set(handle, 'Color', 'k');
    set(handle, 'LineStyle', lnstyle{lnsidx});
    set(handle, 'Linewidth', lnwidth(lnwidx));
    if l==1, set(handle, 'Fill', 'on'); end
	hold off
end
